Bug 192334 - xorg-x11-drv-i810 fails to build in mock
xorg-x11-drv-i810 fails to build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-18 19:03 EDT by Michael J Knox
Modified: 2013-01-09 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 11:47:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mdomsch's mock buildlog (9.47 KB, text/plain)
2006-05-18 19:03 EDT, Michael J Knox
no flags Details
Patch for missing BR (1.10 KB, patch)
2006-05-19 17:23 EDT, Brian Pepple
no flags Details | Diff
Mock build log for patch (46.65 KB, text/plain)
2006-05-19 17:24 EDT, Brian Pepple
no flags Details

  None (edit)
Description Michael J Knox 2006-05-18 19:03:38 EDT
This package fails to build in mock.  build.log is attached.
Comment 1 Michael J Knox 2006-05-18 19:03:38 EDT
Created attachment 129513 [details]
mdomsch's mock buildlog
Comment 2 Brian Pepple 2006-05-19 17:23:03 EDT
Created attachment 129632 [details]
Patch for missing BR
Comment 3 Brian Pepple 2006-05-19 17:24:09 EDT
Created attachment 129633 [details]
Mock build log for patch
Comment 4 Mike A. Harris 2006-05-23 10:32:44 EDT
Changing state to ASSIGNED.
Comment 5 Mike A. Harris 2006-05-26 11:47:24 EDT
I added a dep on libdrm-devel, but versioned it as:

BuildRequires: libdrm-devel >= 2.0-1

as there was a previous libdrm 1.x which is incompatible.  All the drivers
that use DRI should have this versioned dependency, but it appears that most
of them got inadvertently left off.  ;o)

For the libXext-devel, the libXv-devel subpackage has been updated to drag
that in, as it is Xv that uses it directly.  That fixes the problem in one
spot for all drivers.

Updated sdk dep to pick up proto-devel from sdk indirectly.

All should be in tomorrows rawhide push.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.